% function data = bc(sp,low,up)
%	DC correction to 1D or 2D fid or spectrum
%		sp:	1D or 2D data
%		low:	low and
%		up:	up limits for the range of sp being DC corrected
% 	comments: always apply along columns

  function data = bc(sp,low,up)
  [m n]=size(sp);
  dc=sum(sp(low:up,:));
  data=sp-ones(m,1)*dc/(up-low+1);
