% function data=lsh(fid,mp)
% it left-shifts fid by mp points along columns
% for negative mp, it shift to the right

function data=lsh(fid,mp);

[m n]=size(fid);
data=zeros(m,n);

if (mp>=0)	data(1:m-mp,:)=fid(mp+1:m,:);
else		data(-mp+1:m,:)=fid(1:m+mp,:); 
end

