% function data=csl(spec,d,sw);
% it circluar-left-shift spec by d(Hz) along column

function data=cs(spec,d,sw);

[m n]=size(spec);

win=exp(-i*2*pi*d/sw*[(0:1:m/2) (1-m/2):1:-1]');
fid=ifft(spec);
nfid=fid.*(win*ones(1,n));
data=real(fft(nfid));
