% function data = ph(sp,ph0,ph1)
%	it applies ph0 and ph1 to columns of sp
function data = ph(sp,ph0,ph1)

if nargin < 3 ph1 = 0; end
if nargin < 2 ph0 = 0; end

[m n]=size(sp);
phase=ph0+(-m/2:1:m/2-1)'/m*ph1;
data=sp.*(exp(i*(phase*pi/180))*ones(1,n));
