% function fid = vread(fname)
%	bread.m - read data from Varian fid files
%		fname:	'fid' or 'ser'
%		fid:		data returned 

function fid = vread(fname);

f=fopen(fname,'r','ieee-be');
fh=fread(f,15,'float32');
fid=fread(f,'int32');
td=size(fid,1);				
fid=reshape(fid,2,td/2);
fid=fid(1,:)+i*fid(2,:);		
fid=reshape(fid,td/2,1);
